## org.jboss.ejb.plugins
Class AbstractPassivationJob

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractPassivationJob

All Implemented Interfaces:
  Executable

public abstract class AbstractPassivationJob
extends java.lang.Object
implements Executable

Abstract class for passivation jobs. Subclasses should implement `Executable.execute()` synchronizing it in some way because the execute method is normally called in the passivation thread, while the cancel method is normally called from another thread. To avoid that subclasses override methods of this class without make them synchronized (except execute of course), they're declared final.

Version:
  $Revision: 1.1.4.1 $
Author:
  Simone Bordet, Scott.Stark@jboss.org

Field Summary
`protected EnterpriseContext` `ctx`
`protected boolean` `isCancelled`
`protected boolean` `isExecuted`
`protected java.lang.Object` `key`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.Executable
`execute`

Field Detail

### ctx

    protected EnterpriseContext ctx

### key

    protected java.lang.Object key

### isCancelled

    protected boolean isCancelled

### isExecuted

    protected boolean isExecuted

Copyright © 2000 The JBoss Organization. All Rights Reserved.